API Explorer 936 endpoints

Get Account Applications

GET /obp/v7.0.0/banks/BANK_ID/account-applications

OBPv3.1.0-getAccountApplications No role required Account-ApplicationAccount

Get the Account Applications.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

JSON response body fields (37)
account_application_id
account_applications
amount
10.12
bank_id
gh.29.uk
branch_id
DERBY6
currency
EUR
customer
customer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
customer_number
5987953
date
2020-01-27
date_of_application
2020-01-27
date_of_birth
2018-03-09
dependants
1
dob_of_dependants
[2019-09-08, 2017-07-12]
email
felixsmith@example.com
employment_status
worker
face_image
highest_education_attained
Master
kyc_status
false
last_ok_date
2025-10-21T01:45:31.340Z
legal_name
Eveline Tripman
mobile_phone_number
+49 30 901820
name_suffix
Sr
product_code
1234BW
provider
ETHEREUM
provider_id
rating
relationship_status
single
source
status
title
Dr.
url
http://www.example.com/id-docs/123/image.png
user
user_id
9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
username
felixsmith
credit_limit
credit_rating
Example success response
{
  "account_applications": [
    {
      "account_application_id": "gc23a7e2-7dd2-4bdf-a0b4-ae31232a4763",
      "product_code": "1234BW",
      "user": {
        "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
        "email": "felixsmith@example.com",
        "provider_id": "Chris",
        "provider": "http://127.0.0.1:8080",
        "username": "felixsmith"
      },
      "customer": {
        "bank_id": "gh.29.uk",
        "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
        "customer_number": "5987953",
        "legal_name": "Eveline Tripman",
        "mobile_phone_number": "+44 07972 444 876",
        "email": "felixsmith@example.com",
        "face_image": {
          "url": "www.openbankproject",
          "date": "1100-01-01T00:00:00Z"
        },
        "date_of_birth": "1100-01-01T00:00:00Z",
        "relationship_status": "single",
        "dependants": 1,
        "dob_of_dependants": [
          "1100-01-01T00:00:00Z"
        ],
        "credit_rating": {
          "rating": "OBP",
          "source": "OBP"
        },
        "credit_limit": {
          "currency": "EUR",
          "amount": "0"
        },
        "highest_education_attained": "Master",
        "employment_status": "worker",
        "kyc_status": false,
        "last_ok_date": "2025-10-21T01:45:41Z",
        "title": "Dr.",
        "branch_id": "DERBY6",
        "name_suffix": "Sr"
      },
      "date_of_application": "1100-01-01T00:00:00Z",
      "status": "REQUESTED"
    }
  ]
}
Possible errors (2)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-50000: Unknown Error.
Implemented by OBPv3.1.0 getAccountApplications Originally /obp/v3.1.0/banks/BANK_ID/account-applications